Support » Plugin: TLS 1.2 Compatibility Test » May be reporting wrongly

  • Hey there,

    The plugin tries to make a connection to https://tlstest.paypal.com/ but it seems that there are no longer any DNS records for it therefore the plugin reports:

    cURL error 6: Could not resolve host: tlstest.paypal.com

    and concludes that TLS 1.2 is not enabled.

    Selecting the howsmyssl endpoint in the plugin does not improve the reporting and again it says TLS 1.2 is not enabled.

    However, I ran a quick script on my server to connect with curl to the howsmyssl endpoint and it is successfully connecting with TLS 1.2.
    (see: https://stackoverflow.com/questions/27904854/verify-if-curl-is-using-tls/50766765 )

    <?php 
    $ch = curl_init('https://www.howsmyssl.com/a/check');
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $data = curl_exec($ch);
    curl_close($ch);
    $json = json_decode($data);
    echo $json->tls_version;
    ?>

    Output: TLS 1.2

    Conclusion: in my system the plugin is running but not reporting correctly.

Viewing 1 replies (of 1 total)
  • Hello –

    Can confirm, just tried your script and my output was TLS 1.3 but the plugin is reporting that it is not enabled. Maybe because it is not exactly 1.2? Not sure.

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.